:root {
  interpolate-size: allow-keywords;
}
details::details-content {
  block-size: 0;
  opacity: 0;
  transition: all 200ms cubic-bezier(0.4, 0, 0.2, 1);
  transition-behavior: allow-discrete;
}
details[open]::details-content {
  block-size: auto;
  opacity: 1;
}
details {
  .wp-block-paragraph {
    margin-block-start: 0;
    padding: 1rem 0;
  }
}
summary {
  list-style-type: none;
}
details[name="faq"] {
  border-bottom: 1px solid lightgrey;
  summary {
    font-size: 18px;
    font-weight: medium;
    padding: 2rem 0;
    display: flex;
    justify-content: space-between;
    gap: 1rem;
    align-items: center;
    &:after {
      content: "+";
      transition: all 200ms cubic-bezier(0.4, 0, 0.2, 1);
      color: red;
    }
  }
  &[open] {
    summary:after {
      content: "-";
    }
  }
  .wp-block-paragraph {
    padding-top: 0;
  }
}

.page-template-page-blocks article {
  .entry-content {
    &:after {
      border: none;
      margin: 0;
      width: 0;
    }
    a {
      text-decoration: none;
      color: inherit;
    }
  }
}
